StarObjectTextInternal::Table Struct Referencefinal

Internal: a table of StarObjectTextInteral. More...

Inheritance diagram for StarObjectTextInternal::Table:

## Public Member Functions

| Table ()
| constructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| try to send the data to a listener
Public Member Functions inherited from StarObjectTextInternal::Zone
| Zone ()
| constructor
virtual | ~Zone ()
| destructor
virtual void | inventoryPage (StarState &) const
| try to inventory the different pages

## Public Attributes

std::shared_ptr< StarTable > | m_table
| the table

## Detailed Description

Internal: a table of StarObjectTextInteral.

## Constructor & Destructor Documentation

## Table()

StarObjectTextInternal::Table::Table | ( |  | ) |

inline

constructor

## Member Function Documentation

## send()

bool StarObjectTextInternal::Table::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const

final virtual

try to send the data to a listener

Implements StarObjectTextInternal::Zone.

## Member Data Documentation

## m_table

std::shared_ptr<StarTable> StarObjectTextInternal::Table::m_table

the table

Referenced by send(), and Table().

The documentation for this struct was generated from the following file:

- StarObjectText.cxx